From 105dfa3557c4ed7ef4c3d4df99c0e1d6802bca6a Mon Sep 17 00:00:00 2001
From: "Ana C. Custura" <ana@netstat.org.uk>
Date: Sat, 18 Aug 2018 20:53:25 +0100
Subject: Adds configuration file patch

Patches namecheap to generate a config file in a user's home directory
---
 namecheap-api-cli | 19 ++++++++++++++++---
 1 file changed, 16 insertions(+), 3 deletions(-)

diff --git a/namecheap-api-cli b/namecheap-api-cli
index 903d66f..e7156f0 100755
--- a/namecheap-api-cli
+++ b/namecheap-api-cli
@@ -1,11 +1,24 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 
 import argparse
-
+import sys
+import os
 from namecheap import Api, ApiError
 
+cfgpath = os.path.expanduser("~/.namecheap_cfg")
+cfg = '''api_key = '0123456789abcdef0123456789abcdef'
+      username = 'myusername'
+      ip_address = '10.0.0.1'
+      '''
+
+if os.path.isfile(cfgpath):
+    pass
+else:
+    with open(cfgpath, 'w') as f:
+        f.write(cfg)
+
 try:
-    from credentials import api_key, username, ip_address
+    sys.path.append(os.path.abspath(cfgpath))
 except:
     pass
 
